{
  config,
  lib,
  ...
}:
let
  inherit (config.machine.coturn) enable;
in
with lib;
mkIf (enable && config.machine.coturn.enable) {
  services.matrix-synapse.settings = with config.services.coturn; {
    turn_uris = [
      "turn:${realm}:3478?transport=udp"
      "turn:${realm}:3478?transport=tcp"
    ];
    turn_user_lifetime = "1h";
    turn_allow_guests = false;
  };
}
